1 Reply Latest reply: Oct 24, 2012 1:17 PM by mende1
inventlady Level 1 Level 1 (0 points)

I am using Mac OS 10.5.8 and LOVE Appleworks 6.2.9.  I would upgrade Appleworks if it was available.  I detest Pages.  Does Appleworks work with Snow Leopard?  Kathy


MacBook Pro, Mac OS X (10.5.8)